import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function appraiseApplyCategoryList(data) {
  return request({
    url: `/appraise/apply/category/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function appraiseApplyCategorySave(data) {
  return request({
    url: '/appraise/apply/category/save',
    method: 'post',
    data
  })
}

export function appraiseApplyCategoryDel(data) {
  return request({
    url: '/appraise/apply/category/del',
    method: 'post',
    data
  })
}

export function appraiseApplyCategoryDetail(params) {
  return request({
    url: '/appraise/apply/category/detail',
    method: 'post',
    params
  })
}

export function appraiseApplyCategoryImport(data) {
  return handleImport('/appraise/apply/category/import', data.formdata, data.id || '')
}
